
QGIS Application - Feature request #2280

Improve usability of batch import of vector layers

2009-12-14 04:12 AM - jekhor -

Status: Open

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12340

Description

When adding of vector layer, we can select many files in the file selection dialog. But for every file separate dialog with list of sublayers

will be shown, even if all files have identical list of sublayers. It makes batch import inconvenient.

For example, I want to open all my GPX tracks without of converting it to single GPX file or to SHP.

I don't know how to 'fix' this. Probably, dialog with both files and common sublayers will be solution.

History

#1 - 2009-12-14 04:56 AM - Giovanni Manghi

Replying to jekhor:

For example, I want to open all my GPX tracks without of converting it to single GPX file or to SHP.

add vector layer -> dataset (browse) -> and then select "gpx" as the extension to look for

I get it wrong?

#2 - 2009-12-14 05:10 AM - jekhor -

Replying to [comment:1 lutra]:

add vector layer -> dataset (browse) -> and then select "gpx" as the extension to look for

I get it wrong?

And now try to select 100 files and add them as layers... :)

#3 - 2009-12-14 05:15 AM - Giovanni Manghi

And now try to select 100 files and add them as layers... :)

right. What are the other ogr data types that offer to choose among subalyers?
#4 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#8 - 2017-08-16 05:13 PM - Johannes Kroeger

I would like to add another voice in support of this.

The problem also arises when loading multiple layers from a single file if their CRS has to be selected for each and every one.

It would be great to say "always load layer(s) X from the selected files" and "always use CRS Y for any layers in the selected files".

This is a problem for users, see eg the recently published making-of from a Washington Post designer: 

https://source.opennews.org/articles/eclipse-predictor/

#9 - 2017-08-16 05:30 PM - Giovanni Manghi

- Description updated

This is a problem for users, see eg the recently published making-of from a Washington Post designer: 

https://source.opennews.org/articles/eclipse-predictor/

"...QGIS terrible UI..."

very constructive.
